#!/usr/bin/env bash

############
# This script performs UBS DB migrations
#
# Important - this assumes it is run inside of the ubs_db_migrations container. Usage: bash /db/scripts/migration.sh.
#
############

# Exit immediately on failure
set -e

# Create alembic ubs url env variable
if [ -z "$RDS_SSLROOTCERT" ] # If not set
then
    export SQLALCHEMY_URL="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}"
else
    export SQLALCHEMY_URL="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}&sslrootcert=${RDS_SSLROOTCERT}"
fi

# Perform migration
cd /db
alembic upgrade head
